// Let's register Template7 helper so we can pass json string in links
Template7.registerHelper('json_stringify', function (context) {
    return JSON.stringify(context);
});

// Initialize your app
var myApp = new Framework7({
    animateNavBackIcon: true,
    // Enable templates auto precompilation
    precompileTemplates: true,
    // Enabled pages rendering using Template7
    template7Pages: true,
    // Specify Template7 data for pages
    template7Data: {
        // Will be applied for page with "projects.html" url
        'url:projects.html': {
            firstname: 'Elieser',
            lastname: 'Díaz Valdés',
            age: 47,
            position: 'Dueño, CEO, Diseñador y Desarrollador de Aplicaciones Informáticas',
            company: 'SIMBIOSIS',
            serv:  'Diseño Gráfico, Impresiones y Aplicaciones Informáticas',
            interests: ['leer', 'música', 'aprender nuevas tecnologías', 'escalar montañas', 'psicología'],
            projects: [
                {
                    title: 'Piense... y Hágase Rico',
                    description: 'Es una aplicación para que usted aprenda como crecer personalmente para lograr grandes cosas en la vida.'
                },
                {
                    title: 'Trajeta de Presentación Digital',
                    description: 'Una aplicación concebida para brindar información y hacer promoción de empresas. Aunque la aplicación se desarrolla dentro una línea general de diseño que la identifica como génerica cada cliente obtiene su propio diseño que lo distingue de las demás aplicaciones dentro de la misma línea de trabajo.'
                },
                {
                    title: 'Mi Psicólogo Digital',
                    description: 'Con esta aplicación ofrecemos la posibilidad de una herramienta útil para enfocar su vida diaria en las cuestiones que de verdad son importantes y ayudarle a superar escollos y crisis de carácter emocional y psicológico.'
                }
            ]
        },

        // Will be applied for page with data-page="contacts"
        'page:contacts': {
            mobile: '+5354819684',
            tel: '+5372084421',
            sms: '+5354819684?&amp;body=&#161;Hola!, Nos comunicamos con SIMBIOSIS porque sus ofertas de productos y servicios nos han parecido interesantes. Quisi&#233;ramos obtener mayor informaci&#243;n sobre los que relacionamos a continuaci&#243;n:',
            email: 'simbiosis@nauta.cu?subject=Solicitud de información adicional&amp;body=¡Hola!, Nos comunicamos con SIMBIOSIS porque sus ofertas de productos y servicios nos han parecido interesantes. Quisiéramos obtener mayor información sobre los que relacionamos a continuación:',
            facebook: 'www.facebook.com/SimbiosisDGrafico',
            linkedin: 'www.linkedin.com/',
            country: 'Cuba',
            city: 'Romerillo, Playa, La Habana',
            zip: '10400',
            street: '9na ave # 11011, e/ 110 y 112',
            lat: '23.09633',
            lon: '-82.44659'
        },

        // Just plain data object that we can pass for other pages using data-contextName attribute
        services: [
            {
                servicio: 'Diseño Gráfico',
                subservicio: 'Diseño de Identidad Corporativa',
                description: 'Diseño del Logotipo, el símbolo y el Manual de Identidad Corporativa de la empresa del cliente.'
            },
            {
                servicio: 'Diseño Gráfico',
                subservicio: 'Diseño de Aplicaciones Institucionales',
                description: 'Tarjetas de presentación, hojas membreteadas, memorándums, sobres de correo o de otro tipo, facturas y otros...'
            },
            {
                servicio: 'Diseño Gráfico',
                subservicio: 'Diseño de Aplicaciones Operacionales',
                description: 'Señaletica y otros.'
            },
            {
                servicio: 'Diseño Gráfico',
                subservicio: 'Diseño de Aplicaciones Promocionales',
                description: 'Volantes, carteles, el letrero de la empresa, anuncios publicitarios, rotulación de vehículos, folletos, trípticos, pegatinas, sueltos, etc.'
            },
            {
                servicio: 'Impresiones',
                subservicio: 'Impresión en diversos soportes',
                description: 'Cartulina, Papel, Lona vinílica, Vinilo, Tejidos, Cerámica, Otros. Como soporte para la cartelería utilizamos PVC de 3, 5 y 6 mm y Acrílico de 6 mm.'
            },
            {
                servicio: 'Aplicaciones Informáticas',
                subservicio: 'Desarrollo de Aplicaciones Informáticas',
                description: 'Aplicaciones Móviles, Páginas WEB informativas o dinámicas, Páginas WEB en las Redes Sociales, Aplicaciones WEB, Aplicaciones de Escritorio</li>'
            },

        ],

        // Another plain data object, used in "about" link in data-contextName object

        simbiosis: {
            firstname: 'Elieser',
            lastname: 'Díaz Valdés',
            age: '47',
            position: 'Dueño',
            oposition: 'CEO, Diseñador y Desarrollador de Apps',
            company: 'SIMBIOSIS',
            services:  'Diseño Gráfico, Impresiones y desarrollo de Aplicaciones Informáticas',
            interests: ['leer', 'música', 'aprender nuevas tecnologías', 'escalar montañas', 'psicología']
        }
    }
});

// Export selectors engine
var $$ = Dom7;

// Add main View
var mainView = myApp.addView('.view-main', {
    // Enable dynamic Navbar
    dynamicNavbar: true,
});
